#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kasts
Version: 24.07.90
Release:        %mkrel %{rel}
Summary:        Kirigami-based podcast player
License:        GPLv2 and GPLv2+ and GPLv3+ and BSD and LGPLv3+
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/kasts
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Keychain)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6Syndication)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ThreadWeaver)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6BreezeIcons)
BuildRequires:  cmake(KF6KirigamiAddons)

BuildRequires:  pkgconfig(libvlc)
BuildRequires:  pkgconfig(taglib)

Requires:       kirigami
Requires:       kirigami-addons

%description
Kasts is a convergent podcast application.

Its main features are:
 - Episode management through play queue
 - Sync playback positions with other clients through gpodder.net or
   gpodder-nextcloud
 - Variable playback speed
 - Search for podcasts
 - Full system integration: e.g. inhibit system suspend while listening

%files -f %{name}.lang
%license LICENSES/*
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_libdir}/libKMediaSession.so
%{_kf6_iconsdir}/hicolor/scalable/apps/%{name}*.svg
%{_kf6_iconsdir}/hicolor/scalable/actions/media-playback-cloud.svg
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml

#------------------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085052
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073162
- New version 24.05.1

* Sun Jun 09 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2071658
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058561
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045107
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037605
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033733
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025079
- New version 24.01.85

* Wed Nov 22 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2009208
- New version 24.01.75

* Sun Sep 24 2023 daviddavid <daviddavid> 23.08.1-1.mga10
+ Revision: 1990349
- New version 23.08.1

* Fri Jun 09 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1961475
- initial package kasts

